GET
/api/Members
const url = 'https://example.com/api/Members?Status=Active';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/api/Members?Status=Active' \ --header 'Authorization: Bearer <token>'Returns a paginated list of members for a merchant. Supports optional free-text search across name and email, and filtering by status.
GET /api/members?merchantId=...&search=smith&page=1&pageSize=20Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters ” MerchantId
string format: uuid
Search
string
Status
string
Page
integer format: int32
PageSize
integer format: int32
Responses
Section titled “ Responses ”Paginated list of members.
Media type application/json
object
items
Array<object>
object
id
string format: uuid
firstName
string
lastName
string
fullName
string
email
string
phone
string
status
string
createdAt
string format: date-time
plans
Array<object>
object
name
string
price
number format: double
frequency
string
lifetimeValue
number format: double
nextBillingDate
string format: date-time
nextBillingAmount
number format: double
paymentMethod
object
type
string
last4
string
brand
string
expiryMonth
integer format: int32
expiryYear
integer format: int32
accountName
string
bsb
string
page
integer format: int32
pageSize
integer format: int32
totalCount
integer format: int32
totalPages
integer format: int32
hasNextPage
boolean
hasPreviousPage
boolean
Example
{ "items": [ { "status": "Active", "plans": [ { "frequency": "OneOff" } ], "paymentMethod": { "type": "Card" } } ]}